### Method

# Ggit Config match_foreach

#### Declaration [src]

    gboolean
    ggit_config_match_foreach (
      GgitConfig* config,
      GRegex* regex,
      GgitConfigMatchCallback callback,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Call `callback` for all configurations matching `regex`.

#### Parameters

`regex`

  Type: `GRegex`

  A `GRegex`.

  The data is owned by the caller of the method.

`callback`

  Type: `GgitConfigMatchCallback`

  A `GgitConfigMatchCallback`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if matches were successfull, `FALSE` otherwise.